=== debian/changelog ===
libopasswd-ocaml (0.9.3-1) UNRELEASED; urgency=low

  * For -devel package add dependency on ocaml-ctypes-devel

 -- David Scott <dave.scott@citrix.com>  Thu, 01 May 2014 12:00:00 +0000
