=== debian/control ===
Source: libopasswd-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 libctypes-ocaml-dev,
 ocaml-findlib,
 ocaml-native-compilers,
 libffi-dev

Package: libopasswd-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml interface to the glibc passwd/shadow password functions
 This is an OCaml binding to the glibc passwd file and shadow password
 file interface. It can be used to read, parse, manipulate and write
 passwd and shadow files on Linux systems. It might also work on other
 nixes, but it has not been tested.

Package: libopasswd-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libopasswd-ocaml (>= 0.9.3-1),
 libctypes-ocaml-dev,
 libffi6
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-opasswd
 The ocaml-opasswd-devel package contains libraries and signature
 files for developing applications that use ocaml-opasswd.
